/*
 * sndctl  -  a plugin for the Video Disk Recorder
 *        file: i18n.c
 * description: internationalization (string definitions)
 *
 *      author: Thomas Hildebrandt <toxym@web.de>
 *
 * inspired by and reengineered from 'avolctl'
 * thanks to Martin Prochnow <nordlichtl@martins-kabuff.de>
 */

#include "defaults.h"
#include "i18n.h"

const tI18nPhrase Phrases[] = {
  { "Sound control",  // english
    "Soundcontrol",  // german
    "",// TODO italian
    "",// TODO dutch
    "",// TODO portuguese
    "",// TODO french
    "",// TODO norwegian
    "",// TODO finnish
    "",// TODO polish
    "",// TODO spanish
    "",// TODO greek
    "",// TODO swedish
    "",// TODO romanian
    "",// TODO hungarian
    "",// TODO catalanian
    "",// TODO russian
    "",// TODO croatian
    "",// TODO estonian
    "",// TODO danish
    "",// TODO czech
  },
  { "ALSA mixer control",
    "ALSA Mixer Steuerung",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
  },
  { SNDCTL_DEFAULT_SOUNDSET_NAME,
    "Neues Soundset",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
  },
  { SNDCTL_TXT_0001,
    "Soundcontrol - Soundset auswhlen",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
  },
  { SNDCTL_TXT_0002,
    "Eintrag im Hauptmen verstecken",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
  },
  { SNDCTL_TXT_0003,
    "Standard Soundset",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
  },
  { SNDCTL_TXT_0004,
    "Whlen",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
  },
  { SNDCTL_TXT_0005,
    "ndern",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
  },
  { SNDCTL_TXT_0006,
    "Soundset bearbeiten",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
  },
  { SNDCTL_TXT_0007,
    "Men Name",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
  },
  { SNDCTL_TXT_0008,
    "Name",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
  },
  { SNDCTL_TXT_0009,
    "Neu",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
  },
  { SNDCTL_TXT_0010,
    "Lschen",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
  },
  { SNDCTL_TXT_0011,
    "Soundset lschen?",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
  },
  { SNDCTL_TXT_0012,
    "DD Automatik",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
  },
  { SNDCTL_TXT_0013,
    "DD Automatik Soundset",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
  },
  { SNDCTL_TXT_0014,
    "Lautstrke beim Start",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
  },
  { SNDCTL_TXT_0015,
    "Soundflash aktivieren",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
  },
  { SNDCTL_TXT_0016,
    "Stumm beim Beenden",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
  },
  { NULL }
};
